=== debian/changelog ===
python-shogun (3.2.0-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on clang (not clang-3.4) on [mips mipsel powerpc].
    Patch by Dejan Latinovic <Dejan.Latinovic@imgtec.com>.
    Closes: #766022.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 20 Oct 2014 10:42:32 +0100

python-shogun (3.2.0-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build depend on libjson-c-dev instead of libjson-c2-dev (Closes: #745012,
  #758010).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 17 Sep 2014 23:30:19 +0200

python-shogun (3.2.0-5) unstable; urgency=low

  * Build depend on libjson-c2-dev instead of libjson-c-dev (Closes: #745012)

 -- Soeren Sonnenburg <sonne@debian.org>  Tue, 08 Jul 2014 19:35:49 +0200

python-shogun (3.2.0-4) unstable; urgency=low

  * Build depend on libarpack,libcolpack and use the same sse disable tactics
  for i386 archs as for the shogun package.

 -- Soeren Sonnenburg <sonne@debian.org>  Tue, 08 Jul 2014 19:16:41 +0200

python-shogun (3.2.0-3) unstable; urgency=low

  * Build depend on libjson-c-dev instead of libjson0-dev (Closes: #745012)
  * Add build-dependency on colpack.

 -- Soeren Sonnenburg <sonne@debian.org>  Sat, 05 Jul 2014 20:55:00 +0200

python-shogun (3.2.0-2) unstable; urgency=low

  * Require swig version >= 3.0

 -- Soeren Sonnenburg <sonne@debian.org>  Sat, 05 Jul 2014 07:57:11 +0200

python-shogun (3.2.0-1) unstable; urgency=low

  * New upstream version
  * Update watch file
  * Require new libshogun version to build

 -- Soeren Sonnenburg <sonne@debian.org>  Fri, 28 Feb 2014 06:18:12 +0100

python-shogun (3.1.1-7) unstable; urgency=low

  * fix typo clang3.4 -> clang-3.4

 -- Soeren Sonnenburg <sonne@debian.org>  Fri, 28 Feb 2014 05:50:03 +0100

python-shogun (3.1.1-6) unstable; urgency=low

  * Use clang 3.4 instead of (non-available) clang 3.5.

 -- Soeren Sonnenburg <sonne@debian.org>  Fri, 28 Feb 2014 00:07:48 +0100

python-shogun (3.1.1-5) unstable; urgency=low

  * Use clang to build on mips, mipsel, powerpc

 -- Soeren Sonnenburg <sonne@debian.org>  Sun, 23 Feb 2014 19:30:07 +0100

python-shogun (3.1.1-4) unstable; urgency=low

  * Drop ghostscript, graphviz and doxygen-latex dependencies since
  documentation is already built in the libshogun pkg.

 -- Soeren Sonnenburg <sonne@debian.org>  Sun, 23 Feb 2014 12:32:23 +0100

python-shogun (3.1.1-3) unstable; urgency=low

  * Disable ccache to fix FTBS with ccache-swig

 -- Soeren Sonnenburg <sonne@debian.org>  Sun, 23 Feb 2014 11:57:03 +0100

python-shogun (3.1.1-2) unstable; urgency=low

  * Move package to section python (fixes a lintian warning).

 -- Soeren Sonnenburg <sonne@debian.org>  Sat, 01 Feb 2014 22:15:01 +0100

python-shogun (3.1.1-1) unstable; urgency=low

  * New upstream version
  * Rewrite packaging
    - use separate source file for python interface to ensure that python is
    not blocking core libshogun and other interfaces
    - convert package to use dh
    - include static and modular python interfaces
    - add package for debug symbols

 -- Soeren Sonnenburg <sonne@debian.org>  Sun, 05 Jan 2014 09:35:46 +0100

shogun (3.1.0-1) unstable; urgency=low

  * New upstream version
  * Bump standards version to 3.9.5 (no changes required).

 -- Soeren Sonnenburg <sonne@debian.org>  Sun, 05 Jan 2014 08:34:52 +0100

shogun (3.0.1~git20131115.557741b-2) unstable; urgency=low

  * Depend on libglpk-dev.
  * Bump compat version to 9.
  * Replace shogun-dbg with libshogun-dbg (Closes: #729705).
  * Fix minor typo in documentation.

 -- Soeren Sonnenburg <sonne@debian.org>  Fri, 15 Nov 2013 17:32:52 +0100

shogun (3.0.1~git20131115.557741b-1) unstable; urgency=low

  * New upstream version (+additional bugfixes from current git)
  * Rewrite packaging to use debhelper and cmake: Drop all static and modular
  interfaces from this source package and do these later for each individual
  interface with separate source packages to keep shogun in debian.

 -- Soeren Sonnenburg <sonne@debian.org>  Fri, 15 Nov 2013 14:28:11 +0100

shogun (1.1.0-6) unstable; urgency=low

  * Fix error occurring on package upgrades (Closes: #682166)

 -- Soeren Sonnenburg <sonne@debian.org>  Sat, 30 Jun 2012 22:52:04 +0200

shogun (1.1.0-5) unstable; urgency=low

  * Disable 'libatlas-base-dev' build dependency for armhf builds. Thanks
  Hector Oron for the patch. (Closes: #667468)
  * Add temporary workaround for FTBFS with ld --as-needed. Thanks Leo Iannacone
  for the patch. (Closes: #657434)
  * Upload to unstable. (Closes: #669005)

 -- Soeren Sonnenburg <sonne@debian.org>  Tue, 24 Jan 2012 20:19:47 +0100

shogun (1.1.0-4) unstable; urgency=low

  [ Jo Shields ]
  * debian/rules:
    + Include workaround for CDBS throwing away vital packaging data
      required by dh_clideps to resolve dependencies.
  * debian/control:
    + Scrap unneeded manual dependencies on libmono-corlib4.0-cil and 
      libshogun11 (Closes: #657096).

  [ Soeren Sonnenburg ]
  * Build depend on libhdf5-dev (>= 1.8.8~) | libhdf5-serial-dev instead of
  just libhdf5-dev.
  * Temporarily drop octave build dependencies from debian/control.

 -- Soeren Sonnenburg <sonne@debian.org>  Tue, 24 Jan 2012 17:05:48 +0100

shogun (1.1.0-3) unstable; urgency=low

  * Make csharp package depend on libmono-corlib4.0-cil; remove csharp:Depends
  or csharp:Provides and use cli:Depends in debian/control (Closes: #656757).

 -- Soeren Sonnenburg <sonne@debian.org>  Mon, 23 Jan 2012 09:05:31 +0100

shogun (1.1.0-2) unstable; urgency=low

  * Build depend on libhdf5-dev instead of libhdf5-serial-dev to accommodate
  hdf5 transition.
  * Build depend on mono-devel and cli-common-dev instead of mono2.0-devel and
  use include cli.make in debian rules. (Closes: #656757).
  * Use dmcs instead of gmcs (Closes: #656756).

 -- Soeren Sonnenburg <sonne@debian.org>  Sun, 22 Jan 2012 19:26:12 +0100

shogun (1.1.0-1) unstable; urgency=low

  * New upstream version with major feature enhancements.

